AppAIGatewayDocs
API referenceAdmin operations

Summarize application authentication outcomes

GET
/v1/admin/apps/{app}/auth-events/summary

Daily authentication outcomes and reasons, non-ok proxied requests, token-exchange success rate, entitlement-claim propagation delays, and how many users are waiting on a claim right now.

Authorization

agw_identity_auth.session_token<token>

The console's session cookie. Admin requests from the console also send x-console-request: 1.

In: cookie

Path Parameters

app*string

Query Parameters

days?integer

Trailing window in days, ending today. Defaults to 30.

Range1 <= value <= 365

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/admin/apps/string/auth-events/summary"
{  "app_id": "string",  "days": 0,  "from": "string",  "to": "string",  "daily": [    {      "date": "string",      "event": "token_exchange",      "outcome": "string",      "reason": "string",      "count": 0    }  ],  "usage_failures": [    {      "date": "string",      "status": "string",      "count": 0    }  ],  "token_exchange": {    "total": 0,    "ok": 0,    "success_rate": 0  },  "claim_delay": {    "count": 0,    "avg_ms": 0,    "p50_ms": 0,    "p95_ms": 0  },  "pending_users": 0}